Package name
dkms
Date
2008-05-26
Advisory ID
MDVA-2008:070
Affected versions
2008.1 x86_64 , 2008.1 i586

Problem description

The dkms-minimal package in Mandriva Linux 2008 Spring did not require
lsb-release. If lsb-release was not installed, the dkms modules were
installed in the standard location, instead of the intended /dkms or
/dkms-binary. This update fixes that issue.

Due to another bug, dkms would consider older installed binary dkms
modules as original modules when installing a newer version of the
module as a source dkms package, thus wrongly moving the binary
modules around. This update disables original_module handling, not
needed anymore since the rework of dkms system in 2008 Spring.

Dkms would also print an error message during an upgrade of binary
module packages, and under certain conditions an additional warning
message regarding multiple modules being found. This update removes
those harmless messages when they are not appropriate.

Updated packages

2008.1 x86_64

 4737827650123e301e47c15138a1f1a6  2008.1/x86_64/dkms-2.0.19-4.3mdv2008.1.noarch.rpm
 63ac909d350fbdeebb47a67ebeb307c3  2008.1/x86_64/dkms-minimal-2.0.19-4.3mdv2008.1.noarch.rpm 
 c449f1d713a06a8246a7865c7f240bb7  2008.1/SRPMS/dkms-2.0.19-4.3mdv2008.1.src.rpm

2008.1 i586

 4222e39a7d40373a4507892ddbabebd4  2008.1/i586/dkms-2.0.19-4.3mdv2008.1.noarch.rpm
 3b6f7140d9fd17ffd2978f3beba26834  2008.1/i586/dkms-minimal-2.0.19-4.3mdv2008.1.noarch.rpm 
 c449f1d713a06a8246a7865c7f240bb7  2008.1/SRPMS/dkms-2.0.19-4.3mdv2008.1.src.rpm